#
#
# qmake configuration for irix-cc
#
# From cc(1):
# 	-n32
# 	  Generates a (new) 32-bit object. This defaults to -mips3 if
# 	  -mips4 has not been specified.
# 	-LANG: ...
# 	  The language feature option group controls the source language
# 	  interpretation assumed by the compiler. The individual controls
# 	  in this group are as follows:
# 	    ansi-for-init-scope [ = ( ON|OFF ) ]
# 	      Enables or disables the ANSI scoping rules for for-init
# 	      declarations (the scope of the name declared extends to
# 	      the end of the for statement). This enables the behavior
# 	      that is required by the C++ standard. The default value
# 	      is OFF, which is the ARM behavior (the scope of the name
# 	      declared extends to the end of the block enclosing the for
# 	      statement).
# 	    bool [ = ( ON|OFF ) ]
# 	      Enables or disables the predefined bool data type, along
# 	      with the predefined values true and false. Use this option
# 	      only to suppress this type in old code that defines bool
# 	      itself.  Because this option changes the mangling of function
# 	      names with bool parameters, all files comprising a program
# 	      should be compiled with consistent options.
# 	      Default is ON.
# 	      The _BOOL feature macro can be used in #ifdefs to do conditional
# 	      compilation based on whether or not this option is enabled.
# 	    std
# 	      Enables use of the standard C++ library and standard-
# 	      conforming iostream library.  Specifying this flag also
# 	      triggers other standard-conforming behavior, such as the
# 	      new rules for the scope of for loop initializers.
#

MAKEFILE_GENERATOR	= UNIX
TEMPLATE		= app
CONFIG			+= qt warn_on release link_prl

TQMAKE_CC		= cc
TQMAKE_LEX		= flex
TQMAKE_LEXFLAGS		=
TQMAKE_YACC		= yacc
TQMAKE_YACCFLAGS		= -d
TQMAKE_CFLAGS		= -n32 -signed -woff 1021,1209,1233,1314,1355,1375,1506
TQMAKE_CFLAGS_DEPS	= -M
TQMAKE_CFLAGS_WARN_ON	= -fullwarn
TQMAKE_CFLAGS_WARN_OFF	=
TQMAKE_CFLAGS_RELEASE	= -O2 -OPT:Olimit=3000
TQMAKE_CFLAGS_DEBUG	= -g
TQMAKE_CFLAGS_SHLIB	=
TQMAKE_CFLAGS_YACC	= -woff 1110,1174,3262
TQMAKE_CFLAGS_THREAD	=

TQMAKE_CXX		= CC
TQMAKE_CXXFLAGS		= -n32 -signed -woff 1021,1209,1233,1314,1355,1375,1424,1506,1681,1682,3496
TQMAKE_CXXFLAGS_DEPS	= $$TQMAKE_CFLAGS_DEPS
TQMAKE_CXXFLAGS_WARN_ON	= $$TQMAKE_CFLAGS_WARN_ON
TQMAKE_CXXFLAGS_WARN_OFF	= $$TQMAKE_CFLAGS_WARN_OFF
TQMAKE_CXXFLAGS_RELEASE	= $$TQMAKE_CFLAGS_RELEASE
TQMAKE_CXXFLAGS_DEBUG	= $$TQMAKE_CFLAGS_DEBUG
TQMAKE_CXXFLAGS_SHLIB	= $$TQMAKE_CFLAGS_SHLIB
TQMAKE_CXXFLAGS_YACC	= $$TQMAKE_CFLAGS_YACC
TQMAKE_CXXFLAGS_THREAD	=

TQMAKE_INCDIR		=
TQMAKE_LIBDIR		=
TQMAKE_INCDIR_X11	=
TQMAKE_LIBDIR_X11	=
TQMAKE_INCDIR_QT		= $(TQTDIR)/include
TQMAKE_LIBDIR_QT		= $(TQTDIR)/lib
TQMAKE_INCDIR_OPENGL	=
TQMAKE_LIBDIR_OPENGL	=

TQMAKE_LINK		= CC
TQMAKE_LINK_SHLIB	= CC
TQMAKE_LFLAGS		= -n32
TQMAKE_LFLAGS_RELEASE	=
TQMAKE_LFLAGS_DEBUG	=
TQMAKE_LFLAGS_SHLIB	= -shared
TQMAKE_LFLAGS_PLUGIN	= $$TQMAKE_LFLAGS_SHLIB
TQMAKE_LFLAGS_SONAME	= -Wl,-soname,
TQMAKE_LFLAGS_THREAD	=
TQMAKE_RPATH		= -Wl,-rpath,

TQMAKE_LIBS		=
TQMAKE_LIBS_DYNLOAD	=
TQMAKE_LIBS_X11		= -lXext -lX11 -lm
TQMAKE_LIBS_X11SM	= -lSM -lICE
TQMAKE_LIBS_QT		= -lqt
TQMAKE_LIBS_TQT_THREAD	= -lqt-mt
TQMAKE_LIBS_OPENGL	= -lGLU -lGL -lXmu -lm
TQMAKE_LIBS_OPENGL_QT	= -lGL -lXmu
TQMAKE_LIBS_THREAD	= -lpthread

TQMAKE_TQMOC		= $(TQTDIR)/bin/tqmoc
TQMAKE_UIC		= $(TQTDIR)/bin/uic

TQMAKE_AR		= CC -ar -o
TQMAKE_RANLIB		=

TQMAKE_CLEAN		= -r $(OBJECTS_DIR)so_locations $(OBJECTS_DIR)ii_files

TQMAKE_TAR		= tar -cf
TQMAKE_GZIP		= gzip -9f

TQMAKE_COPY		= cp -f
TQMAKE_MOVE		= mv -f
TQMAKE_DEL_FILE		= rm -f
TQMAKE_DEL_DIR		= rmdir
TQMAKE_CHK_DIR_EXISTS	= test -d
TQMAKE_MKDIR		= mkdir -p
